Public Attributes | List of all members
_qspi_command_t Struct Reference
Peripheral Driver » HAL Driver » QSPI » Structures » QSPI command

QSPI command Structure definition. More...

`#include <gr55xx_hal_qspi.h>`

## Public Attributes
uint32_t | instruction
| Specifies the Instruction to be sent. More...
uint32_t | address
| Specifies the Address to be sent (Size from 1 to 4 bytes according AddressSize). More...
uint32_t | instruction_size
| Specifies the Instruction Size. More...
uint32_t | address_size
| Specifies the Address Size. More...
uint32_t | dummy_cycles
| Specifies the Number of Dummy Cycles. More...
uint32_t | data_size
| Specifies the QSPI address width. More...
uint32_t | instruction_address_mode
| Specifies the Instruction and Address Mode. More...
uint32_t | data_mode
| Specifies the Data Mode (used for dummy cycles and data phases). More...
uint32_t | length
| Specifies the number of data to transfer. More...
uint32_t | clock_stretch_en
| Specifies whether to enable the clock stretch feature This parameter can be LL_QSPI_CLK_STRETCH_ENABLE or LL_QSPI_CLK_STRETCH_DISABLE. More...

## Detailed Description

QSPI command Structure definition.

Definition at line 199 of file gr55xx_hal_qspi.h.

## Member Data Documentation

## ◆ address

uint32_t _qspi_command_t::address

Specifies the Address to be sent (Size from 1 to 4 bytes according AddressSize).

This parameter can be a value (32-bits) between 0x0 and 0xFFFFFFFF.

Definition at line 204 of file gr55xx_hal_qspi.h.

## ◆ address_size

uint32_t _qspi_command_t::address_size

Specifies the Address Size.

This parameter can be a value of QSPI Address Size.

Definition at line 210 of file gr55xx_hal_qspi.h.

## ◆ clock_stretch_en

uint32_t _qspi_command_t::clock_stretch_en

Specifies whether to enable the clock stretch feature This parameter can be LL_QSPI_CLK_STRETCH_ENABLE or LL_QSPI_CLK_STRETCH_DISABLE.

Definition at line 230 of file gr55xx_hal_qspi.h.

## ◆ data_mode

uint32_t _qspi_command_t::data_mode

Specifies the Data Mode (used for dummy cycles and data phases).

This parameter can be a value of QSPI Data Mode.

Definition at line 222 of file gr55xx_hal_qspi.h.

## ◆ data_size

uint32_t _qspi_command_t::data_size

Specifies the QSPI address width.

This parameter can be a value of Data Width.

Definition at line 216 of file gr55xx_hal_qspi.h.

## ◆ dummy_cycles

uint32_t _qspi_command_t::dummy_cycles

Specifies the Number of Dummy Cycles.

This parameter can be a number between 0 and 31.

Definition at line 213 of file gr55xx_hal_qspi.h.

## ◆ instruction

uint32_t _qspi_command_t::instruction

Specifies the Instruction to be sent.

This parameter can be a value (8-bit) between 0x00 and 0xFF.

Definition at line 201 of file gr55xx_hal_qspi.h.

## ◆ instruction_address_mode

uint32_t _qspi_command_t::instruction_address_mode

Specifies the Instruction and Address Mode.

This parameter can be a value of QSPI Instruction and Address Mode.

Definition at line 219 of file gr55xx_hal_qspi.h.

## ◆ instruction_size

uint32_t _qspi_command_t::instruction_size

Specifies the Instruction Size.

This parameter can be a value of QSPI Instruction Size.

Definition at line 207 of file gr55xx_hal_qspi.h.

## ◆ length

uint32_t _qspi_command_t::length

Specifies the number of data to transfer.

(This is the number of bytes). This parameter can be any value between 0 and 0xFFFFFFFF (0 means undefined length until end of memory). when using in DMA LLP xfer, length means total length of all linkedlist block in bytes

Definition at line 225 of file gr55xx_hal_qspi.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_qspi.h